/*
 * ACME - a crossassembler for producing 6502/65c02/65816 code.
 * Copyright (C) 1998 Marco Baye
 * Have a look at "acme.c" for further info
 */

/*
 * String definitions
 */

#ifndef strings_H
#define strings_H

/*
 * Constants
 */

/* Error messages during assembly */
extern char Exception_NoPC[];
extern char Exception_NotYet[];
extern char Exception_NoMemLeft[];
extern char Exception_Syntax[];
extern char Exception_NeedValue[];
extern char Exception_MissingString[];
extern char Exception_TooBig[];
extern char Exception_TooDeep[];
extern char Exception_TooLong[];
extern char Exception_WrongCPU[];

/* Error messages for block routines */
extern char Exception_eEndOfFile[];

/* Other strings */
extern char psUntitled[];

/*
 * Prototypes
 */

void MiscString_ToLower(void);
void String_ShowInfo(void);
void String_EndSegment(void);

#endif
